### Enumeration

# Qmi LocDeleteClockInfo

since: 1.22

#### Declaration

    flags Qmi.LocDeleteClockInfo

#### Description [src]

Type of data to delete from the clock information.

Available since: 1.22

#### Members

`QMI_LOC_DELETE_CLOCK_INFO_TIME_EST`

  Time estimation.

  - Value: `1`
  - Available since: 1.22
`QMI_LOC_DELETE_CLOCK_INFO_FREQ_EST`

  Frequency estimation.

  - Value: `2`
  - Available since: 1.22
`QMI_LOC_DELETE_CLOCK_INFO_WEEK_NUMBER`

  Week number.

  - Value: `4`
  - Available since: 1.22
`QMI_LOC_DELETE_CLOCK_INFO_RTC_TIME`

  RTC time.

  - Value: `8`
  - Available since: 1.22
`QMI_LOC_DELETE_CLOCK_INFO_TIME_TRANSFER`

  Time transfer.

  - Value: `16`
  - Available since: 1.22
`QMI_LOC_DELETE_CLOCK_INFO_GPS_TIME_EST`

  GPS time estimation.

  - Value: `32`
  - Available since: 1.22
`QMI_LOC_DELETE_CLOCK_INFO_GLO_TIME_EST`

  GLONASS time estimation.

  - Value: `64`
  - Available since: 1.22
`QMI_LOC_DELETE_CLOCK_INFO_GLO_DAY_NUMBER`

  GLONASS day number.

  - Value: `128`
  - Available since: 1.22
`QMI_LOC_DELETE_CLOCK_INFO_GLO_YEAR_NUMBER`

  GLONASS year number.

  - Value: `256`
  - Available since: 1.22
`QMI_LOC_DELETE_CLOCK_INFO_GLO_RF_GRP_DELAY`

  GLONASS RF group delay.

  - Value: `512`
  - Available since: 1.22
`QMI_LOC_DELETE_CLOCK_INFO_DISABLE_TT`

  Disable TT.

  - Value: `1024`
  - Available since: 1.22

#### Type functions

###### qmi_loc_delete_clock_info_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiLocDeleteClockInfo` in `mask`.

since: 1.22